package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.TXmlProperties;
import java.util.List;

public interface PropertiesEditService {
   List<TXmlProperties> getPropertieseList(List<TXmlProperties> list, PageInfo pageInfo);

   void save(TXmlProperties tproperties);

   void remove(String key);

   TXmlProperties getPropertiese(String key);

   List<TXmlProperties> queryPvalue(String Pvalue, List<TXmlProperties> list, PageInfo pageInfo);

   TXmlProperties queryTaskByPkey(String Pkey);
}
